---
title: KeyboardEvent.altKey
slug: Web/API/KeyboardEvent/altKey
tags:
  - API
  - DOM
  - KeyboardEvent
  - Property
  - Read-only
  - Reference
---
<div>{{APIRef("DOM Events")}}</div>

<p>The <strong><code>KeyboardEvent.altKey</code></strong> read-only property is a {{jsxref("Boolean")}} that indicates if the <kbd>alt</kbd> key (<kbd>Option</kbd> or <kbd>⌥</kbd> on OS X) was pressed (<code>true</code>) or not (<code>false</code>) when the event occurred.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox">var <em>altKeyPressed</em> = <em>instanceOfKeyboardEvent</em>.altKey
</pre>

<h3 id="Return_value">Return value</h3>

<p>{{jsxref("Boolean")}}</p>

<h2 id="Examples">Examples</h2>

<pre class="brush: js">&lt;html&gt;
&lt;head&gt;
&lt;title&gt;altKey example&lt;/title&gt;

&lt;script type="text/javascript"&gt;

function showChar(e){
  alert(
    "Key KeyDown: " + String.fromCharCode(e.charCode) + "\n"
    + "charCode: " + e.charCode + "\n"
    + "ALT key KeyDown: " + e.altKey + "\n"
  );
}

&lt;/script&gt;
&lt;/head&gt;

&lt;body onkeydown="showChar(event);"&gt;
&lt;p&gt;
Press any character key,
with or without holding down the ALT key.&lt;br /&gt;
You can also use the SHIFT key together with the ALT key.
&lt;/p&gt;
&lt;/body&gt;
&lt;/html&gt;</pre>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName('DOM3 Events','#widl-KeyboardEvent-altKey','KeyboardEvent.altkey')}}</td>
   <td>{{Spec2('DOM3 Events')}}</td>
   <td>Initial definition.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.KeyboardEvent.altKey")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li>{{ domxref("KeyboardEvent") }}</li>
</ul>
